#include <iostream>
#include "qospf-module.h"

static class QOSPFModuleClass: public TclClass {
public:
  QOSPFModuleClass(): TclClass("RtModule/QOSPF") {}
  TclObject* create(int, const char*const*) {
    return (new QOSPFModule);
  }
} class_QOSPF_module;

QOSPFModule::QOSPFModule() {
    //  cout << "in QOSPFModule constructor" << endl;
}

int QOSPFModule::command(int argc, const char*const* argv) {
//   cout << "in int QOSPFModule::command: argc = " << argc << endl;
//   for (int i = 0; i < argc; i++) {
//     cout << i << " : " << argv[i] << endl;
//   }
  
  if (argc == 3) {
    if (strcmp(argv[1] , "route-notify") == 0) {
      return TCL_OK;
    }
  }
  
  return (RoutingModule::command(argc, argv));
}
